Bug 1119808 - gnome-boxes crashed when I try connect to vnc
Summary: gnome-boxes crashed when I try connect to vnc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 14:50 UTC by Mikhail
Modified: 2015-01-19 12:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 12:34:36 UTC


Attachments (Terms of Use)

Description Mikhail 2014-07-15 14:50:01 UTC
Description of problem:
gnome-boxes crashed when I try connect to vnc

vnc://5.189.133.96:63014/

$ G_MESSAGES_DEBUG=Boxes gnome-boxes
(gnome-boxes:6681): Boxes-DEBUG: libvirt-system-importer.vala:45: Connected to system libvirt, now fetching domains..
(gnome-boxes:6681): Boxes-DEBUG: tracker-iso-query.vala:21: Tracker SPARQL query: SELECT nie:url(?iso)   nie:title(?iso)
       osinfo:id(?iso) osinfo:mediaId(?iso)
{ ?iso nfo:isBootable true }
(gnome-boxes:6681): Boxes-DEBUG: machine.vala:61: State of '5.189.133.96' changed to BOXES_MACHINE_MACHINE_STATE_RUNNING
(gnome-boxes:6681): Boxes-DEBUG: libvirt-system-importer.vala:49: Fetched 0 domains from system libvirt.
(gnome-boxes:6681): Boxes-DEBUG: wizard-source.vala:250: No boxes to import
(gnome-boxes:6681): Boxes-DEBUG: util-app.vala:256: check_cpu_vt_capability: yes
(gnome-boxes:6681): Boxes-DEBUG: util-app.vala:276: check_module_kvm_loaded: yes
(gnome-boxes:6681): Boxes-DEBUG: unattended-installer.vala:662: No media language, using en_US locale
(gnome-boxes:6681): Boxes-DEBUG: unattended-installer.vala:662: No media language, using en_US locale
(gnome-boxes:6681): Boxes-DEBUG: unattended-installer.vala:662: No media language, using en_US locale
(gnome-boxes:6681): Boxes-DEBUG: unattended-installer.vala:662: No media language, using en_US locale
(gnome-boxes:6681): Boxes-DEBUG: downloader.vala:147: Fedora 20 has logo 'http://people.gnome.org/~zeeshanak/logos/fedora.svg'.
(gnome-boxes:6681): Boxes-DEBUG: downloader.vala:82: 'http://people.gnome.org/~zeeshanak/logos/fedora.svg' already available locally at '/home/mikhail/.cache/gnome-boxes/logos/fedora.svg'. Not downloading.
(gnome-boxes:6681): Boxes-DEBUG: libvirt-machine.vala:111: new libvirt machine: boxes-unknown-3
(gnome-boxes:6681): Boxes-DEBUG: machine.vala:61: State of 'android-x86-4 3' changed to BOXES_MACHINE_MACHINE_STATE_SAVED
(gnome-boxes:6681): Boxes-DEBUG: libvirt-machine.vala:111: new libvirt machine: boxes-unknown-2
(gnome-boxes:6681): Boxes-DEBUG: machine.vala:61: State of 'utopic-desktop-i386 2' changed to BOXES_MACHINE_MACHINE_STATE_SAVED
(gnome-boxes:6681): Boxes-DEBUG: libvirt-broker.vala:58: Continuing installation/live session for 'utopic-desktop-i386 2', ..
(gnome-boxes:6681): Boxes-DEBUG: vm-configurator.vala:336: No XML node os-id' for domain 'boxes-unknown-2'.
(gnome-boxes:6681): Boxes-DEBUG: libvirt-machine.vala:111: new libvirt machine: boxes-unknown
(gnome-boxes:6681): Boxes-DEBUG: machine.vala:61: State of 'Win81' changed to BOXES_MACHINE_MACHINE_STATE_STOPPED
(gnome-boxes:6681): Boxes-DEBUG: vm-configurator.vala:336: No XML node num-reboots' for domain 'boxes-unknown-2'.
(gnome-boxes:6681): Boxes-DEBUG: vm-creator.vala:140: 'utopic-desktop-i386 2' has saved state, no need for post-installation setup on it
Segmentation fault (core dumped)

Comment 1 Zeeshan Ali 2014-07-16 11:58:26 UTC
A crash report without a backtrace is not very useful. :(

Comment 2 Mikhail 2015-01-19 12:34:36 UTC
Fixed in version 3.14.2

$ rpm -qa | grep gnome-boxes
gnome-boxes-3.14.2-3.fc21.i686


Note You need to log in before you can comment on or make changes to this bug.